#
# spec file for package python3-efel
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-efel
Version:        2.10.115
Release:        1.5
License:        LGPL-3.0
Summary:        Electrophys Feature Extract Library
Url:            https://github.com/BlueBrain/eFEL
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/e/efel/efel-%{version}.tar.gz
Source100:      %{name}-rpmlintrc
BuildRequires:  gcc-c++
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel >= 1.6
BuildRequires:  python3-six
Requires:       python3-numpy >= 1.6
Requires:       python3-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Electrophys Feature Extract Library (eFEL) allows
neuroscientists to automatically extract features from time
series data recorded from neurons (both in vitro and in
silico). Examples are the action potential width and
amplitude in voltage traces recorded during whole-cell
patch clamp experiments. The user of the library provides a
set of traces and selects the features to be calculated.
The library will then extract the requested features and
return the values to the user.

%prep
%setup -q -n efel-%{version}

%build
CFLAGS="%{optflags}" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitearch}/*

%changelog
* Sat Nov 26 2016 arun@gmx.de
- update to version 2.10.115:
  (no changelog available)
* Fri Sep 16 2016 toddrme2178@gmail.com
- Initial version
